## org.h2.test.bench
Class BenchA

    java.lang.Object
      org.h2.test.bench.BenchA

All Implemented Interfaces:
  Bench

    public class BenchA

extends java.lang.Object
implements Bench

This test is similar to the TPC-A test of the Transaction Processing Council (TPC). However, only one connection and one thread is used.

See also: http://www.tpc.org/tpca/spec/tpca_current.pdf

Constructor Summary
`BenchA()`

Method Summary
`java.lang.String` `getName()` Get the name of the test.
`void` `init(org.h2.test.bench.Database db, int size)` Initialize the database.
`void` `runTest()` Run the test.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BenchA

    public BenchA()

Method Detail

### init

    public void init(org.h2.test.bench.Database db,
                     int size)
              throws java.sql.SQLException

  Description copied from interface: `Bench`
  Initialize the database. This includes creating tables and inserting data.

  Specified by:
    `init` in interface `Bench`
  Parameters:
    `db` - the database object
    `size` - the amount of data
  Throws:
    `java.sql.SQLException`

### runTest

    public void runTest()
                 throws java.sql.SQLException

  Description copied from interface: `Bench`
  Run the test.

  Specified by:
    `runTest` in interface `Bench`
  Throws:
    `java.sql.SQLException`

### getName

    public java.lang.String getName()

  Description copied from interface: `Bench`
  Get the name of the test.

  Specified by:
    `getName` in interface `Bench`
  Returns:
    the test name